unsplitS4 {SNPchip} | R Documentation

## Combines a list with elements that are AnnotatedSnpSets into one AnnotatedSnpSet.

### Description

After splitting an `AnnotatedSnpSet` by chromosome, for instance, this function will reproduce the original object from the list.

### Usage

    unsplitS4(value, featureData)

### Arguments

`value` | Object of class `AnnotatedSnpSet`
`featureData` | Object of class `AnnotatedDataFrame`

### Details

### Value

``AnnotatedSnpSet`` | An object of class `AnnoatedSnpSet`

...

### Note

### Author(s)

Robert Scharpf

### References

### See Also

`split`, `AnnotatedSnpSet`

### Examples

    data(annSnpset)
    x <- split(annSnpset, chromosome(annSnpset))
    class(x)
    length(x)
    xx <- unsplitS4(x, featureData(annSnpset))
    class(xx)

[Package SNPchip version 1.0.0 Index]